interface Examinable {
    public String exam();
}
class Course {
    public String exam(String cour) {
        return cour + "课的考试";
    }
}
class Computer extends Course implements Examinable {
    public String exam() {
        return "上机考试";
    }
}
class English extends Course implements Examinable {
    public String exam() {
        return "标准化考试";
    }
}
class Student {
    void review(Examinable aCourse) {
        System.out.println(aCourse.exam());
    }
    void review(Course cour, String str) {
        System.out.println(cour.exam(str));
    }
}
class Example4_15{
    public static void main(String[] args) {
        Student stu = new Student();
        stu.review(new Computer());
   stu.review(new English());
        stu.review(new Course(), "Chinese");
    }
}
